Policy Metadata - Get Resource
Get policy metadata resource.
GET https://management.azure.com/providers/Microsoft.PolicyInsights/policyMetadata/{resourceName}?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
The name of the policy metadata resource. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get a single policy metadata resource
Sample request
GET https://management.azure.com/providers/Microsoft.PolicyInsights/policyMetadata/NIST_SP_800-53_R4_AC-2?api-version=2024-10-01
Sample response
{
"name": "NIST_SP_800-53_R4_AC-2",
"type": "Microsoft.PolicyInsights/policyMetadata",
"id": "/providers/Microsoft.PolicyInsights/policyMetadata/NIST_SP_800-53_R4_AC-2",
"properties": {
"description": "Description of NIST SP 800-53 R4 AC-2",
"additionalContentUrl": "https://aka.ms/NIST_SP_800-53_R4_AC-2",
"category": "Access control",
"metadata": {},
"metadataId": "NIST SP 800-53 R4 AC-2",
"owner": "Shared",
"requirements": "List the requirements for NIST SP 800-53 R4 AC-2",
"title": "Account Management"
}
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Error |
Error definition. |
|
Error |
Error response. |
|
Policy |
Policy metadata resource definition. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Typed |
Scenario specific error details. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorDefinition
Error definition.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
Additional scenario specific error details. |
|
| code |
string |
Service specific error code which serves as the substatus for the HTTP error code. |
| details |
Internal error details. |
|
| message |
string |
Description of the error. |
| target |
string |
The target of the error. |
ErrorResponse
Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error details. |
PolicyMetadata
Policy metadata resource definition.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties.additionalContentUrl |
string |
Url for getting additional content about the resource metadata. |
| properties.category |
string |
The category of the policy metadata. |
| properties.description |
string |
The description of the policy metadata. |
| properties.metadata |
|
Additional metadata. |
| properties.metadataId |
string |
The policy metadata identifier. |
| properties.owner |
string |
The owner of the policy metadata. |
| properties.requirements |
string |
The requirements of the policy metadata. |
| properties.title |
string |
The title of the policy metadata. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
TypedErrorInfo
Scenario specific error details.
| Name | Type | Description |
|---|---|---|
| info |
|
The scenario specific error details. |
| type |
string |
The type of included error details. |